org.apache.maven.scm.provider.local.command.add

## Class LocalAddCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.add.AbstractAddCommand
    - - org.apache.maven.scm.provider.local.command.add.LocalAddCommand

All Implemented Interfaces:
  Command, LocalCommand

    public class LocalAddCommand
    extends AbstractAddCommand
    implements LocalCommand

Author:
  Brett Porter

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`LocalAddCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ScmResult` `executeAddCommand(ScmProviderRepository repository, ScmFileSet fileSet, String message, boolean binary)`

### Methods inherited from class org.apache.maven.scm.command.add.AbstractAddCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### LocalAddCommand

    public LocalAddCommand()

### Method Detail

#### executeAddCommand

    protected ScmResult executeAddCommand(ScmProviderRepository repository,
                                          ScmFileSet fileSet,
                                          String message,
                                          boolean binary)
                                   throws ScmException

Specified by:
  `executeAddCommand` in class `AbstractAddCommand`
Throws:
  `ScmException`